JSAN.errorLevel = 'die';
JSAN.addRepository('./lib', '../lib').use('Test.More');

plan({ tests: 5 });

JSAN.use( 'DOM.Element' );

var elem = document.createElement( "SPAN" );
ok( !DOM.Element.hasClassName( elem, "floober" ), "New element doesn't have a class name" );

DOM.Element.addClassName( elem, "floober" );
is( elem.className, "floober", "addClassName() correctly add the class" );
ok( DOM.Element.hasClassName( elem, "floober" ), "... and hasClassName() reports that" );

DOM.Element.removeClassName( elem, "floober" );
is( elem.className, "", "removeClassName() correctly removes the class" );
ok( !DOM.Element.hasClassName( elem, "floober" ), "... and hasClassName() reports that" );
