JSAN.errorLevel = 'die';
JSAN.addRepository('./lib', '../lib').use('Test.More');

plan({ tests: 5 });

JSAN.use( 'DOM.Element' );

var parent1 = document.createElement( "DIV" );
is( parent1.childNodes.length, 0, "New element doesn't have any children" );

var child1 = document.createElement( "SPAN" );
var child2 = document.createElement( "SPAN" );

parent1.appendChild( child1 );
is( parent1.childNodes.length, 1, "New child added" );

DOM.Element.remove( child1 );
is( parent1.childNodes.length, 0, "remove() did the deed" );

parent1.appendChild( child1 );
parent1.appendChild( child2 );
is( parent1.childNodes.length, 2, "New children added" );

DOM.Element.remove( child1, child2 );
is( parent1.childNodes.length, 0, "remove() did the deed on multiple children" );
