JSAN.errorLevel = 'die';
JSAN.addRepository('./lib', '../lib').use('Test.More');

plan({ tests: 3 });

JSAN.use( 'DOM.Element' );

var elem = document.createElement( "SPAN" );
is( DOM.Element.getHeight( elem ), elem.offsetHeight, "getHeight() is a wrapper around offsetHeight" );

elem.appendChild( document.createTextNode() );
elem.childNodes[0].nodeValue = 'foo';
elem.appendChild( document.createTextNode() );

is( elem.childNodes.length, 2, "Two children before cleanWhitespace()" );
DOM.Element.cleanWhitespace( elem );
is( elem.childNodes.length, 1, "One child after cleanWhitespace()" );
